call spMante_Sistema_Usuario('EDIT', 3, 3, 3, 'OLIVOS CAMPOS GONZALO WILMER', '16729916', 'golivos', '', '', 1);

DROP PROCEDURE IF EXISTS spMante_Sistema_Usuario;
CREATE PROCEDURE spMante_Sistema_Usuario(
	varOpcion varchar(10),
	varCodigo int,
  varVend   int,
  varNombre varchar(60),
  varDni    varchar(8),
	varUser   varchar(20),
	varClave  varchar(20),
  varFlag   char(1),
  varUsuario int
)
BEGIN
	if varOpcion='NEW' then
		SELECT ifnull(max(id_usuario),0)+1 INTO varCodigo FROM _sys_usuario;
    
		INSERT INTO _sys_usuario (id_usuario, id_trabajador, nombre, dni, usuario, clave,     
		            _date_create, _date_update, _user_create, _user_update) 
		values (varCodigo, varVend, varNombre, varDni, varUser,  MD5(varClave),
            NOW(), NOW(), varUsuario, varUsuario);
	elseif varOpcion='EDIT' then    
		update _sys_usuario set
    id_trabajador   = varVend,
    nombre        = varNombre,
    dni           = varDni,
    usuario       = varUser,   
		_date_update  = NOW(),
    _user_update  = varUsuario
		where id_usuario = varCodigo;
    
    if varFlag='S' then
      update _sys_usuario set clave = MD5(varClave) where id_usuario = varCodigo;
    end if;
	end if;
  select varCodigo;
END;